<?php
// Reads a directory of fonts and outputs the font information.
require_once("class_TTFReader.php");
$ttf = new TTFReader();

// Directory containing fonts
$directory = "/var/www/fonts";

// File to hold font cache; set to FALSE to not use font cache.
// Note: If you have many fonts, leaving the font cache enabled
// will result in a significant speed improvement.
$cachefile = "/var/www/font_cache.dat";

$fonts = $ttf->get_all($filename,$cachefile);

foreach ($fonts as $filename=>$font) {
	echo "Font details for $filename:<BR><PRE>";
	var_dump($font);
	echo "</PRE><BR><BR>";
}
?>